<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("_af9f5df6df6e4ab6fd5" . "318e899627078" => base64_decode("ZG9jdW1l" . "bnRfdHlw" . "ZQ=="), "_374bf250a" . "2cd00d5f57" . "42fea7c487" . "197" => base64_decode("ZG9jdW1lbnRfdGl0bGU" . "="));
use Claromentis\Core\Event\GenericEvent;


class ViewDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetDocumentTitle()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"]["_374bf250a2cd00d5f5742fea7c48" . "7197"]);
    }
    public function GetDocumentType()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_af9f5df6df6e4a" . "b6fd5318e899627" . "078"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}